Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.export.oasis
Class JROdsExporterNature

    java.lang.Object
      net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature
          net.sf.jasperreports.engine.export.oasis.JROdsExporterNature

All Implemented Interfaces:
  ExporterFilter, ExporterNature

    public class JROdsExporterNature

extends JROpenDocumentExporterNature

Version:
  $Id: JROdsExporterNature.java 3875 2010-07-14 09:58:21Z teodord $
Author:
  sanda zaharia (shertage@users.sourceforge.net)

Field Summary

Fields inherited from class net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature
`filter, ODS_NATURE, ODT_NATURE`

Constructor Summary
`JROdsExporterNature(ExporterFilter filter)`

Method Summary
`protected byte` | `getOpenDocumentNature()`
`boolean` | `isDeep(JRPrintFrame frame)` Specified whether to include in the grid sub elements of a given `frame` element.
`boolean` | `isSplitSharedRowSpan()`

Methods inherited from class net.sf.jasperreports.engine.export.oasis.JROpenDocumentExporterNature
`isBreakAfterRow, isBreakBeforeRow, isHorizontallyMergeEmptyCells, isIgnoreLastRow, isIgnorePageMargins, isSpanCells, isToExport`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JROdsExporterNature

    public JROdsExporterNature(ExporterFilter filter)

Method Detail

### getOpenDocumentNature

    protected byte getOpenDocumentNature()

  Specified by:
    `getOpenDocumentNature` in class `JROpenDocumentExporterNature`

### isDeep

    public boolean isDeep(JRPrintFrame frame)

  Description copied from interface: `ExporterNature`
  Specified whether to include in the grid sub elements of a given `frame` element.

  Specified by:
    `isDeep` in interface `ExporterNature`
  Overrides:
    `isDeep` in class `JROpenDocumentExporterNature`

### isSplitSharedRowSpan

    public boolean isSplitSharedRowSpan()

  Specified by:
    `isSplitSharedRowSpan` in interface `ExporterNature`
  Overrides:
    `isSplitSharedRowSpan` in class `JROpenDocumentExporterNature`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com